{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [

    {
      "command": "npm start",
      "name": "Run npm start",
      "request": "launch",
      "type": "node-terminal"
    },
    {
      "type": "firefox",
      "request": "launch",
      "reAttach": true,
      "name": "Launch localhost FF",
      "url": "http://localhost:8080",
      "webRoot": "${workspaceFolder}",
      "sourceMaps": true,
      "trace": true
    },
    {
      "type": "pwa-chrome",
      "request": "launch",
      "name": "Modeler",
      "url": "http://localhost:8981",
      "webRoot": "${workspaceFolder}",
      "sourceMaps": true,
      "trace": true,
      "preLaunchTask": "npm: dev",
      "skipFiles": [
        // "diagram-js/**",
        // "diagram-js/**.js",
        // "diagram-js/**.*",
        // "diagram-js/*",
        // "${workspaceFolder}/ifml-js/node_modules/**.js",
        // "${workspaceFolder}/ifml-js/node_modules/**.*",
        // "${workspaceFolder}/ifml-js/node_modules/**",
        // "${workspaceFolder}/ifml-js/node_modules/min-dash/dist/index.esm.js"
      ],
      "urlFilter": "http://localhost:5501"
    },
    {
      "type": "pwa-chrome",
      "request": "launch",
      "name": "test dev",
      "url": "http://localhost:9876",
      "webRoot": "${workspaceFolder}",
      "sourceMaps": true,
      "trace": true,
      "preLaunchTask": "npm: dev",
      "skipFiles": [
        // "diagram-js/**",
        // "diagram-js/**.js",
        // "diagram-js/**.*",
        // "diagram-js/*",
        // "${workspaceFolder}/ifml-js/node_modules/**.js",
        // "${workspaceFolder}/ifml-js/node_modules/**.*",
        // "${workspaceFolder}/ifml-js/node_modules/**",
        // "${workspaceFolder}/ifml-js/node_modules/min-dash/dist/index.esm.js"
      ],
      "urlFilter": "http://localhost:9876",
      "pathMapping": {
        "/": "${workspaceRoot}/ifml-js",
        "/base/": "${workspaceRoot}/ifml-js"
      }
    },
    {
      "type": "chrome",
      "request": "attach",
      "name": "Attach Karma Chrome",
      "address": "localhost",
      "port": 9333,
      "sourceMaps": true,
      "pathMapping": {
        "/": "${workspaceRoot}/ifml-js",
        "/base/": "${workspaceRoot}/ifml-js"
      }
    },
    {
      "name": "Run Extension",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": ["--extensionDevelopmentPath=${workspaceFolder}/vs-code-ifml-io/"],
      "outFiles": ["${workspaceFolder}/vs-code-ifml-io/dist/**/*.js"],
      "preLaunchTask": "yarn watch"
    },
    {
      "name": "Extension Tests",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": [
        "--extensionDevelopmentPath=${workspaceFolder}/vs-code-ifml-io",
        "--extensionTestsPath=${workspaceFolder}/vs-code-ifml-io/dist/test/suite/index"
      ],
      "outFiles": ["${workspaceFolder}/vs-code-ifml-io/dist/test/**/*.js"],
      "preLaunchTask": "yarn watch"
    }
  ]
}